# async onAsync()

Registers the listener function as callback of the selected RPC event.

**Type**

`async onAsync(eventName, listener): void`

**Parameters**

| Name      | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| --------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventName | `String`  | Event to listen. Depeding on the provider chain one of [Constellation RPC event](https://2892156949-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAUvaNviXuvMQPGFFlTu0%2Fuploads%2FlwMsSc6JGh3Hs9uhTPhW%2FconstellationRPCAPI?alt=media) or an [Ethereum RPC event](https://2892156949-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAUvaNviXuvMQPGFFlTu0%2Fuploads%2FMUnqupiDBooRpr30wRuc%2FethereumRPCAPI?alt=media). |
| listener  | `()=>any` | Callback function.                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

**Return Type**

`void`

**Example**

TypeScript

```typescript
await provider.onAsync("accountsChanged", () => {
  // Do something when accounts changed
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.constellationnetwork.io/stargazer-wallet/chain-provider-api/async-onasync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
